#include <bits/stdc++.h>
using namespace std;

int n, l;
int temp;

int main() {
    cin >> n >> l;

    //Uporedujem visinu Perice i stalaktita dok ucitavam ulaz
    for(int i=1; i<=n; i++) {
        cin >> temp;

        if(temp <= l) {
            cout << i << endl;
            exit(0);
        }
    }
    
    //Ukoliko se ne naide na stalaktit koji Perica ne može da zaobide
    cout << -1 << endl;

    return 0;
}